START TRANSACTION()

NAME
START TRANSACTION - start a transaction block

SYNOPSIS

START TRANSACTION [ ISOLATION LEVEL { READ COMMITTED | SERIALIZABLE } ] [ READ WRITE | READ ONLY ]

DESCRIPTION

This command begins a new transaction. If the isolation level or read/write mode is specified, the new transaction has those characteristics, as if SET TRANSACTION [set_transaction(7)] was executed. In all other respects, the behavior of this command is identical to the BEGIN [begin(7)] command.

PARAMETERS

See under SET TRANSACTION [set_transaction(7)] about the meaning of the parameters.

COMPATIBILITY

This command conforms to the SQL standard; but see also the compatibility section of SET TRANSACTION [set_transaction(7)].

SEE ALSO
BEGIN [begin(7)], COMMIT [commit(l)], ROLLBACK [rollback(l)], SET TRANSACTION [set_transaction(l)]